#ifndef _MARS3D_PROTO_H_
#define _MARS3D_PROTO_H_

extern int x11_to_ppm(int *buffer, int xpos, int ypos, int width, int height, char *filename);
extern int x11_to_pgm(int *buffer, int xpos, int ypos, int width, int height, char *filename);
extern int save_setting(char *type, char *string);
extern char *load_setting(char *type);
extern int save_general_settings(char *filename);
extern int load_general_settings(char *filename);
extern int fill_gamma_table(double gamma);
extern ssize_t getline (char **LINEPTR, size_t *N, FILE *STREAM);
extern int text_to_x11(\
	unsigned char *text, int x, int y, int xsize, int ysize,\
	int fr, int fg, int fb,\
	int br, int bg, int bb,\
	unsigned int *buffer);
extern char *get_time_as_string(int short_format_flag, int ut_flag);
extern int add_clock(unsigned char *buffer);
extern char *strsave(char *s);
extern void ptc_cleanup_callback(void);
extern void set_lcd(int state);
extern char *pgm_and_ppm_to_char(FILE *fptr, int *xsize, int *ysize,\
	int start_column, int start_row, int width, int height, int *header_size, int *bytes_per_color);
extern int print_usage();


#endif /* _MARS3D_PROTO_H_ */

